<?
session_start();
include("../../clases/BDConexion.php");
include("../../clases/clsPer.php");
include("../funcion/funciones.php");

$objPer=new clsPer;

$rs=$objPer->getLugarDistanciaParam($origen,$destino);
$row=$objPer->NextRow($rs);
$distancia=$row['distancia'];

$rsth=$objPer->getTransTH($matricula);
$rowth=$objPer->NextRow($rsth);
if($combustible=='0.00' || $combustible=='0' || $combustible==''){
$facturable='NO';
$combustible=0;
}
	  
$thpv=calcular_tiempo_trasnc($hdes,$haire_dch);
$thpt=calcular_tiempo_trasnc($hapaga_dch,$harranq_dch);
//*******
$thpdes=calcular_tiempo_trasnc($hdes,$htierra_dch);
//*******
$tvhm=calcular_horas_formato_inversa1($thpv);
$tvthm=calcular_horas_formato_inversa1($thpt);
//*******
$tvdhm=calcular_horas_formato_inversa1($thpdes);
//*******
$control1[]=array("$harranq_dch",$haire_dch,$htierra_dch,$hapaga_dch,$origen,$destino,$distancia,$obser,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);
$origenes=$origen;
$v=1;
$matricula=$matricula;
$vias=$vias;
$via=$vias;
$tipohora=$rowth['tipohora'];
include("../p_rutas_detalle.php");
/*************************************************************************************************************************************************************/
/* $rs=$objPer->getLugarDistanciaParam($origen,$destino);
$row=$objPer->NextRow($rs);
$distancia=$row['distancia'];

$rsth=$objPer->getTransTH($matricula);
$rowth=$objPer->NextRow($rsth);
if($matricula=='CFIGR'){
$control_ve=$control1;
	echo $numelementos=count($control_ve);	
	if($numelementos==0 || $numelementos==""){
		
	$thpv=calcular_tiempo_trasnc($htierra_dch,$haire_dch);
	$thpt=calcular_tiempo_trasnc($hapaga_dch,$harranq_dch);
	$tvhm=calcular_horas_formato_inversa1($thpv);
	$tvthm=calcular_horas_formato_inversa1($thpt);

		if($combustible=='0.00' || $combustible=='0' || $combustible==''){
			$facturable='NO';
			$combustible=0;
		}
		$control1[]=array("$harranq_dch",$haire_dch,$htierra_dch,$hapaga_dch,$origen,$destino,$distancia,$obser,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada);
    }elseif($numelementos>=1){
		$indice=$numelementos-1;
        
			echo $hant=$control_ve[$indice][2];		
		
		$thpv=calcular_tiempo_trasnc($htierra_dch,$hant);
		$thpt=calcular_tiempo_trasnc($hapaga_dch,$harranq_dch);
		$tvhm=calcular_horas_formato_inversa1($thpv);
		$tvthm=calcular_horas_formato_inversa1($thpt);

		if($combustible=='0.00' || $combustible=='0' || $combustible==''){
			$facturable='NO';
			$combustible=0;
		}
		$control1[]=array("$harranq_dch",$haire_dch,$htierra_dch,$hapaga_dch,$origen,$destino,$distancia,$obser,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada);
	}

}else{
	if($combustible=='0.00' || $combustible=='0' || $combustible==''){
	$facturable='NO';
	$combustible=0;
	}
		  
	$thpv=calcular_tiempo_trasnc($htierra_dch,$haire_dch);
	$thpt=calcular_tiempo_trasnc($hapaga_dch,$harranq_dch);
	$tvhm=calcular_horas_formato_inversa1($thpv);
	$tvthm=calcular_horas_formato_inversa1($thpt);
	
	$control1[]=array("$harranq_dch",$haire_dch,$htierra_dch,$hapaga_dch,$origen,$destino,$distancia,$obser,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada);
}
$origenes=$origen;
$v=1;
echo $matricula=$matricula;
$vias=$vias;
$via=$vias;
$tipohora=$rowth['tipohora'];
include("../p_rutas_detalle.php"); */
?>